## preenv 0.1

=== Makefile ===
SUBDIRS:=libstub libsdl-mixer libpng libsdlpre desktopgen

CFLAGS?=-Os -Wall
LDFLAGS?=
IFLAGS?=

export CFLAGS
export LDFLAGS
export IFLAGS

LIBSTUBS:=libcjson.so libluna-prefs.so libpdl.so libSDL_cinema.so libgdbus.so \
	liblunaservice.so libPiranha.so libgdbus.so.0 libmjson.so libhid.so \
	libpalmvibe.so libsaxparse.so

all: $(SUBDIRS)

$(SUBDIRS): %: 
	$(MAKE) -C "$@" all

install: install-before $(addprefix install-,$(SUBDIRS))
	install scripts/env.sh scripts/wrapper.sh $(DESTDIR)/
	cd $(DESTDIR)/lib && for i in $(LIBSTUBS); do \
		ln -sf libstub.so "$$i"; \
	done;

install-before:
	@if [ -z "$(DESTDIR)" ]; then \
		echo "DESTDIR is not set! (read INSTALL file!)"; \
		exit 1; \
	fi
	@echo Installing to $(DESTDIR)...
	mkdir -p $(DESTDIR)/lib $(DESTDIR)/bin

$(addprefix install-,$(SUBDIRS)): %:
	$(MAKE) -C "$(subst install-,,$@)" install

bindist:
	rm -rf temp-dist
	mkdir -p temp-dist/preenv
	$(MAKE) install DESTDIR=$(CURDIR)/temp-dist/preenv
	cp README temp-dist/preenv
	tar --owner=root -C temp-dist -czvf preenv.tar.gz preenv
	rm -rf temp-dist
	@echo preenv.tar.gz is ready.

clean: $(addprefix clean-,$(SUBDIRS))
	rm -rf temp-dist preenv.tar.gz

$(addprefix clean-,$(SUBDIRS)): %:
	$(MAKE) -C "$(subst clean-,,$@)" clean

.PHONY: all $(SUBDIRS) install install-before bindist clean

=== desktopgen/Makefile ===
CFLAGS?=-Os -Wall
LDFLAGS?=

GLIB_CFLAGS:=$(shell pkg-config --cflags gio-2.0 json-glib-1.0)
GLIB_LIBS:=$(shell pkg-config --libs gio-2.0 json-glib-1.0)

all: desktopgen

desktopgen: desktopgen.o
	$(CC) $(LDFLAGS) -o $@ $^ $(GLIB_LIBS) $(LIBS)

%.o: %.c
	$(CC) -std=gnu99 $(GLIB_CFLAGS) $(CFLAGS) -o $@ -c $<

install: all
	install $(IFLAGS) desktopgen $(DESTDIR)/bin

clean:
	rm -f desktopgen *.o *.core

.PHONY: all clean

=== libsdlpre/Makefile ===
CFLAGS?=-Os -Wall

SDL_CFLAGS:=$(shell sdl-config --cflags)
SDL_LIBS:=$(shell sdl-config --libs)  -lSDL_gles
HILDON_CFLAGS:=$(shell pkg-config libosso libhildonmime gstreamer-plugins-base-0.10 gstreamer-interfaces-0.10 x11 --cflags)
HILDON_LIBS:=$(shell pkg-config libosso libhildonmime gstreamer-plugins-base-0.10 gstreamer-interfaces-0.10 x11 --libs)
DL_LIBS:=-ldl

all: libsdlpre.so

libsdlpre.so: private.o pdl.o sdlgl.o joystick.o cinema.o
	$(CC) $(LDFLAGS) -shared -o $@ $^ $(SDL_LIBS) $(HILDON_LIBS) $(DL_LIBS)

%.o: %.c
	$(CC) $(SDL_CFLAGS) $(HILDON_CFLAGS) $(CFLAGS) -I. -o $@ -c $<

install: libsdlpre.so
	install $(IFLAGS) libsdlpre.so $(DESTDIR)/lib/

clean: 
	rm -f libsdlpre.so *.o

.PHONY: all install clean

=== debian/changelog ===
preenv (0.1) unstable; urgency=low

  * Initial Release.

 -- Javier S. Pedro <maemo@javispedro.com>  Sat, 23 Oct 2010 22:40:29 +0200

=== debian/control ===
Source: preenv
Section: games
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), zlib1g-dev, libjson-glib-dev, gnupg,
  libvorbisidec-dev, libsdl-gles1.2-dev, libgstreamer-plugins-base0.10-dev,
  libosso-dev, libhildonmime-dev, libsmpeg-dev, libgles1-sgx-img-dev
Standards-Version: 3.7.2

Package: preenv
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Maemo-Display-Name: Preenv
Description: A WebOS native application execution environment
 Preenv is a set of libraries and stubs that should make running WebOS native 
 applications possible on the N900.
 .
 Note that "native applications" are a small subset of all WebOS applications; 
 most of these are OpenGL games.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

build: build-stamp

build-stamp:
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/preenv/opt/preenv install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## preenv 0.1.1

=== libpng/Makefile ===
FETCH_URL:=http://prdownloads.sourceforge.net/libpng/libpng-1.2.44.tar.gz
DIR:=libpng-1.2.44
PATCHES:=

FETCH_FILE:=$(notdir $(FETCH_URL))

all: build

fetch: $(FETCH_FILE)

$(FETCH_FILE):
	wget -O "$@" "$(FETCH_URL)"

unpack: $(DIR)

$(DIR): $(FETCH_FILE)
	tar zxf $<

build: $(DIR)
	cd "$(DIR)" && ./configure
	$(MAKE) -C "$(DIR)" all

install: build
	install $(IFLAGS) "$(DIR)/.libs/libpng.so.3.44.0" $(DESTDIR)/lib/libpng.so.3

clean:
	rm -rf "$(DIR)"

.PHONY: all clean

=== libsdl-mixer/Makefile ===
FETCH_URL:=http://palm.cdnetworks.net/opensource/1.4.5/libsdl-mixer-1.2.tgz
PATCH_URL:=http://palm.cdnetworks.net/opensource/1.4.5/libsdl-mixer-1.2-patch.gz
DIR:=libsdl-mixer-1.2
PATCHES:=

FETCH_FILE:=$(notdir $(FETCH_URL))
PATCH_FILE:=$(notdir $(PATCH_URL))

all: build

fetch: $(FETCH_FILE) $(PATCH_FILE)

$(FETCH_FILE):
	wget -O "$@" "$(FETCH_URL)"

$(PATCH_FILE):
	wget -O "$@" "$(PATCH_URL)"

unpack: $(DIR)

$(DIR): $(FETCH_FILE) $(PATCH_FILE)
	tar zxf $<
	gunzip -c $(PATCH_FILE) | patch -p0 -t -d "$(DIR)"
	patch -p1 -t -d "$(DIR)" < my-patch

build: $(DIR)
	cd "$(DIR)" && ./configure --disable-music-mp3-shared --disable-music-ogg-shared --disable-music-flac-shared --disable-sdltest --enable-music-ogg-tremor
	$(MAKE) -C "$(DIR)" all

install: build
	install $(IFLAGS) "$(DIR)/build/.libs/libSDL_mixer-1.2.so.0.10.1" $(DESTDIR)/lib/libSDL_mixer-1.2.so.0

clean:
	rm -rf "$(DIR)"

.PHONY: all clean

=== libsdlpre/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 all: libsdlpre.so
 
-libsdlpre.so: private.o pdl.o sdlgl.o joystick.o cinema.o
+libsdlpre.so: private.o pdl.o sdlgl.o joystick.o cinema.o x11.o gles1.o
 	$(CC) $(LDFLAGS) -shared -o $@ $^ $(SDL_LIBS) $(HILDON_LIBS) $(DL_LIBS)
 
 %.o: %.c

=== libstub/Makefile ===
CFLAGS?=-Os -Wall
LDFLAGS?=

all: libstub.so

libstub.so: stub.o
	$(CC) -shared $(LDFLAGS) -o $@ $^ $(LIBS)

%.o: %.c
	$(CC) $(CFLAGS) -o $@ -c $<

install: all
	install $(IFLAGS) libstub.so $(DESTDIR)/lib

clean:
	rm -f libstub.so *.o

.PHONY: all clean

=== debian/changelog ===
preenv (0.1.1) unstable; urgency=low

  * More calls implemented.
  * Tasks are now killable by systemui.
  * desktopgen is more Desktop file spec conforming.
  * Portrait games should work now.
  * wrapper now chdir()s into applications' binary path.
  * desktopgen can now uninstall an application.

 -- Javier S. Pedro <maemo@javispedro.com>  Tue, 26 Oct 2010 03:02:59 +0200

=== debian/control ===
Source: preenv
Section: games
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), zlib1g-dev, libjson-glib-dev, gnupg,
 libvorbisidec-dev, libsdl-gles1.2-dev, libgstreamer-plugins-base0.10-dev,
 libosso-dev, libhildonmime-dev, libsmpeg-dev, libgles1-sgx-img-dev,
 opengles-sgx-img-common-dev
Standards-Version: 3.7.2

Package: preenv
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libgles1-sgx-img, libgles2-sgx-img
XB-Maemo-Display-Name: Preenv
Description: A WebOS native application execution environment
 Preenv is a set of libraries and stubs that should make running WebOS native 
 applications possible on the N900.
 .
 Note that "native applications" are a small subset of all WebOS applications; 
 most of these are OpenGL games.

## preenv 0.1.2

=== desktopgen/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS?=-Os -Wall
+CFLAGS?=-Os -g -Wall
 LDFLAGS?=
 
 GLIB_CFLAGS:=$(shell pkg-config --cflags gio-2.0 json-glib-1.0)

=== libsdl-mixer/Makefile ===
--- 
+++ 
@@ -23,8 +23,10 @@
 	gunzip -c $(PATCH_FILE) | patch -p0 -t -d "$(DIR)"
 	patch -p1 -t -d "$(DIR)" < my-patch
 
-build: $(DIR)
+$(DIR)/config.status:
 	cd "$(DIR)" && ./configure --disable-music-mp3-shared --disable-music-ogg-shared --disable-music-flac-shared --disable-sdltest --enable-music-ogg-tremor
+
+build: $(DIR) $(DIR)/config.status
 	$(MAKE) -C "$(DIR)" all
 
 install: build
@@ -33,5 +35,5 @@
 clean:
 	rm -rf "$(DIR)"
 
-.PHONY: all clean
+.PHONY: all unpack configure build install clean

=== libsdlpre/Makefile ===
CFLAGS?=-Os -g -Wall

SDL_CFLAGS:=$(shell sdl-config --cflags)
SDL_LIBS:=$(shell sdl-config --libs)  -lSDL_gles
PKGCONFIG_PKGS:=libosso libhildonmime liblocation gstreamer-plugins-base-0.10 gstreamer-interfaces-0.10 x11
PKGCONFIG_CFLAGS:=$(shell pkg-config $(PKGCONFIG_PKGS) --cflags)
PKGCONFIG_LIBS:=$(shell pkg-config $(PKGCONFIG_PKGS) --libs)
DL_LIBS:=-ldl

OBJ:=private.o pdl.o sdlgl.o sdl.o joystick.o haptic.o cinema.o x11.o gles1.o

all: libsdlpre.so

libsdlpre.so: $(OBJ)
	$(CC) $(LDFLAGS) -shared -o $@ $^ $(SDL_LIBS) $(PKGCONFIG_LIBS) $(DL_LIBS)

$(OBJ): %.o: %.c
	$(CC) -fPIC -DPIC $(SDL_CFLAGS) $(PKGCONFIG_CFLAGS) $(CFLAGS) -I. -o $@ -c $<

install: libsdlpre.so
	install $(IFLAGS) libsdlpre.so $(DESTDIR)/lib/

clean: 
	rm -f libsdlpre.so *.o

.PHONY: all install clean

=== tests/Makefile ===
APPS:=basic location

SDL_CFLAGS:=$(shell sdl-config --cflags)
SDL_LIBS:=$(shell sdl-config --libs)
PDK_CFLAGS:=-I../libsdlpre
PDK_LIBS:=-L../libsdlpre -lsdlpre -lGLES_CM

all: $(APPS)

%: %.c
	$(CC) $(SDL_CFLAGS) $(PDK_CFLAGS) $(CFLAGS) -o $@ $< $(SDL_LIBS) $(PDK_LIBS)

clean:
	rm -f $(APPS)
	rm -f *.o

.PHONY: all clean

=== debian/changelog ===
preenv (0.1.2) unstable; urgency=low

  * Now integrates with liblocation for Location stuff.
  * Creates a separate thread to run GLib mainloop.
  * Generates a "unique" ID.
  * More calls implemented.
  * Includes -dbg package
  * SDL_Haptic stubs.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri, 10 Dec 2010 19:18:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,8 @@
 else
 	CFLAGS += -Os
 endif
+
+export CFLAGS
 
 build: build-stamp
 
@@ -58,7 +60,7 @@
 	dh_installman
 	dh_install
 	dh_link
-	dh_strip
+	dh_strip --dbg-package=preenv-dbg
 	dh_compress
 	dh_fixperms
 	dh_installdeb

## preenv 0.1.3

=== debian/changelog ===
preenv (0.1.3) unstable; urgency=low

  * Cinema now ensures PDL is initialized beforehand.
  * Cinema now tries to clean URIs passed to it.
  * Joystick is polled from the GLib thread.

 -- Javier S. Pedro <maemo@javispedro.com>  Mon, 13 Dec 2010 18:05:08 +0100

## preenv 0.1.4

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,8 @@
 
 LIBSTUBS:=libcjson.so libluna-prefs.so libpdl.so libSDL_cinema.so libgdbus.so \
 	liblunaservice.so libPiranha.so libgdbus.so.0 libmjson.so libhid.so \
-	libpalmvibe.so libsaxparse.so
+	libpalmvibe.so libsaxparse.so libPmIpcLib.so libNPAPIInterface.so \
+	libdbus-gmain.so.0 libnapp.so
 
 all: $(SUBDIRS)

=== libpng/Makefile ===
--- 
+++ 
@@ -16,8 +16,10 @@
 $(DIR): $(FETCH_FILE)
 	tar zxf $<
 
-build: $(DIR)
+$(DIR)/config.status:
 	cd "$(DIR)" && ./configure
+
+build: $(DIR) $(DIR)/config.status
 	$(MAKE) -C "$(DIR)" all
 
 install: build
@@ -26,5 +28,5 @@
 clean:
 	rm -rf "$(DIR)"
 
-.PHONY: all clean
+.PHONY: all unpack configure build install clean

=== libstub/Makefile ===
CFLAGS?=-Os -g -Wall
LDFLAGS?=

all: libstub.so

libstub.so: stub.o
	$(CC) -shared $(LDFLAGS) -o $@ $^ $(LIBS)

%.o: %.c
	$(CC) -fPIC -DPIC $(CFLAGS) -o $@ -c $<

install: all
	install $(IFLAGS) libstub.so $(DESTDIR)/lib

clean:
	rm -f libstub.so *.o

.PHONY: all clean

=== debian/changelog ===
preenv (0.1.4) unstable; urgency=low

  * Add some missing GL_OES_framebuffer_object symbols.
  * Faking screen surface for increased compatibility.
  * Make most of config.h dynamic.
  * Properly ignore width and height in SDL_SetVideoMode when OPENGLES is
    enabled, like the real thing does.
  * Support for SDL_GL_STENCIL_SIZE.
  * Implemented SDL_GetVideoMode, glMultMatrixx.
  * Implemented SDL_GetRelativeMultiMouseState, SDL_GetMultiMouseState.
  * Stubbing libPmIpcLib.so, libnapp.so, libNPAPIInterface.so,
    libdbus-gmain.so.0.
  * Cap the framerate when the window in deactivated.

 -- Javier S. Pedro <maemo@javispedro.com>  Tue, 18 Jan 2011 23:53:51 +0100

=== debian/control ===
Source: preenv
Section: games
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), zlib1g-dev, libjson-glib-dev, gnupg,
 libvorbisidec-dev, libsdl-gles1.2-dev, libgstreamer-plugins-base0.10-dev,
 libosso-dev, libhildonmime-dev, libsmpeg-dev, libgles1-sgx-img-dev,
 opengles-sgx-img-common-dev, liblocation-dev
Standards-Version: 3.7.2

Package: preenv
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libgles1-sgx-img, libgles2-sgx-img,
 libsdl-net1.2
XB-Maemo-Display-Name: Preenv
Description: A WebOS native application execution environment
 Preenv is a set of libraries and stubs that should make running WebOS native 
 applications possible on the N900.
 .
 Note that "native applications" are a small subset of all WebOS applications; 
 most of these are OpenGL games.

Package: preenv-dbg
Architecture: armel
Depends: preenv (= ${Source-Version}), libsdl1.2-dbg
Description: Debug symbols for Preenv

## preenv 0.1.5

=== debian/changelog ===
preenv (0.1.5) unstable; urgency=low

  * Do not ignore preexisting LD_PRELOAD.
  * Fix implicit PDL initialization with GetDeviceName().
  * Implement SDL_GL_GetAttribute().

 -- Javier S. Pedro <maemo@javispedro.com>  Mon, 21 Feb 2011 20:59:56 +0100

## preenv 0.1.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SUBDIRS:=libstub libsdl-mixer libpng libsdlpre desktopgen
+SUBDIRS:=libstub libpng faac opencore-amr ffmpeg libsdl-mixer libsdlpre desktopgen
 
 CFLAGS?=-Os -Wall
 LDFLAGS?=
@@ -23,6 +23,7 @@
 	cd $(DESTDIR)/lib && for i in $(LIBSTUBS); do \
 		ln -sf libstub.so "$$i"; \
 	done;
+	@echo Everything installed to $(DESTDIR).
 
 install-before:
 	@if [ -z "$(DESTDIR)" ]; then \
@@ -30,7 +31,7 @@
 		exit 1; \
 	fi
 	@echo Installing to $(DESTDIR)...
-	mkdir -p $(DESTDIR)/lib $(DESTDIR)/bin
+	mkdir -p $(DESTDIR)/lib $(DESTDIR)/bin $(DESTDIR)/data/apps/usr/palm/applications
 
 $(addprefix install-,$(SUBDIRS)): %:
 	$(MAKE) -C "$(subst install-,,$@)" install

=== ffmpeg/Makefile ===
FETCH_URL:=http://palm.cdnetworks.net/opensource/2.1.0/ffmpeg-0.6.tar.gz
PATCH_URL:=http://palm.cdnetworks.net/opensource/2.1.0/ffmpeg-0.6-patches.tgz
DIR:=ffmpeg-0.6

FETCH_FILE:=$(notdir $(FETCH_URL))
PATCH_FILE:=$(notdir $(PATCH_URL))

all: build

fetch: $(FETCH_FILE) $(PATCH_FILE)

$(FETCH_FILE):
	wget -O "$@" "$(FETCH_URL)"

$(PATCH_FILE):
	wget -O "$@" "$(PATCH_URL)"

unpack: $(DIR)

$(DIR): $(FETCH_FILE) $(PATCH_FILE)
	tar zxf $<
	gunzip -c $(PATCH_FILE) | patch -p1 -t -d "$(DIR)"

$(DIR)/config.mak:
	cd "$(DIR)" && ./configure --prefix=/usr \
	--disable-bsfs --disable-decoders --disable-demuxers --disable-devices \
	--disable-encoders --disable-ffplay --disable-ffserver --disable-filters \
	--disable-indevs --disable-mpegaudio-hp --disable-muxers --disable-network \
	--disable-outdevs --disable-parsers --disable-protocols --disable-debug \
	--enable-pthreads --enable-shared \
	--extra-cflags="$(CFLAGS) -I$(CURDIR)/../faac/root/usr/include -I$(CURDIR)/../opencore-amr/root/usr/include" \
	--extra-ldflags="$(LDFLAGS) -L$(CURDIR)/../faac/root/usr/lib -L$(CURDIR)/../opencore-amr/root/usr/lib" \
	--enable-hardcoded-tables --enable-libopencore-amrnb --enable-nonfree \
	--enable-libfaac --enable-decoder=aac --enable-decoder=h264 \
	--enable-decoder=h263 --enable-decoder=mpeg4 --enable-decoder=alac \
	--enable-decoder=qcelp --enable-decoder=mp3 --enable-version3 \
	--enable-decoder=libopencore_amrnb --enable-demuxer=mp3 --enable-demuxer=mov \
	--enable-demuxer=aac --enable-demuxer=amr --enable-demuxer=wav \
	--enable-muxer=mp4 --enable-muxer=tgp --enable-muxer=tg2 --enable-muxer=mov \
	--enable-encoder=h263 --enable-encoder=mpeg4 --enable-encoder=libfaac \
	--enable-encoder=libopencore_amrnb --enable-parser=mpegaudio \
	--disable-postproc --enable-decoder=vorbis --enable-demuxer=ogg \
	--enable-parser=aac --enable-protocol=file \
	--enable-neon

build: $(DIR) $(DIR)/config.mak
	$(MAKE) -C "$(DIR)" all
	mkdir -p root
	$(MAKE) -C "$(DIR)" install DESTDIR="$(CURDIR)/root"

install: build
	cp -rv \
		root/usr/lib/libavcodec.so* \
		root/usr/lib/libavdevice.so* \
		root/usr/lib/libavformat.so* \
		root/usr/lib/libavutil.so* \
		root/usr/lib/libswscale.so* \
			$(DESTDIR)/lib

clean:
	rm -rf "$(DIR)" root

.PHONY: all unpack configure build install clean

=== libsdl-mixer/Makefile ===
FETCH_URL:=http://palm.cdnetworks.net/opensource/1.4.5/libsdl-mixer-1.2.tgz
PATCH_URL:=http://palm.cdnetworks.net/opensource/1.4.5/libsdl-mixer-1.2-patch.gz
DIR:=libsdl-mixer-1.2

FETCH_FILE:=$(notdir $(FETCH_URL))
PATCH_FILE:=$(notdir $(PATCH_URL))

all: build

fetch: $(FETCH_FILE) $(PATCH_FILE)

$(FETCH_FILE):
	wget -O "$@" "$(FETCH_URL)"

$(PATCH_FILE):
	wget -O "$@" "$(PATCH_URL)"

unpack: $(DIR)

$(DIR): $(FETCH_FILE) $(PATCH_FILE)
	tar zxf $<
	gunzip -c $(PATCH_FILE) | patch -p0 -t -d "$(DIR)"
	patch -p1 -t -d "$(DIR)" < fix-linking.patch

$(DIR)/config.status:
	cd "$(DIR)" && ./configure --prefix=/usr -disable-sdltest \
		--disable-music-ogg --disable-music-mp3 --disable-music-flac \
		--disable-music-mp3-shared --disable-music-ogg-shared --disable-music-flac-shared \
		CFLAGS="$(CFLAGS) -I$(CURDIR)/../ffmpeg/root/usr/include" \
		LDFLAGS="$(LDFLAGS) -L$(CURDIR)/../ffmpeg/root/usr/lib -Wl,-rpath-link -Wl,$(CURDIR)/../faac/root/usr/lib -Wl,-rpath-link -Wl,$(CURDIR)/../opencore-amr/root/usr/lib"

build: $(DIR) $(DIR)/config.status
	$(MAKE) -C "$(DIR)" all
	mkdir -p root
	$(MAKE) -C "$(DIR)" install DESTDIR="$(CURDIR)/root"

install: build
	cp -rv root/usr/lib/libSDL_mixer-1.2.so* $(DESTDIR)/lib

clean:
	rm -rf "$(DIR)" root

.PHONY: all unpack configure build install clean

=== libsdlpre/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SDL_CFLAGS:=$(shell sdl-config --cflags)
 SDL_LIBS:=$(shell sdl-config --libs)  -lSDL_gles
-PKGCONFIG_PKGS:=libosso libhildonmime liblocation gstreamer-plugins-base-0.10 gstreamer-interfaces-0.10 x11
+PKGCONFIG_PKGS:=libosso libhildonmime liblocation gstreamer-plugins-base-0.10 gstreamer-interfaces-0.10 x11 mce
 PKGCONFIG_CFLAGS:=$(shell pkg-config $(PKGCONFIG_PKGS) --cflags)
 PKGCONFIG_LIBS:=$(shell pkg-config $(PKGCONFIG_PKGS) --libs)
 DL_LIBS:=-ldl

=== opencore-amr/Makefile ===
FETCH_URL:=http://downloads.sourceforge.net/project/opencore-amr/opencore-amr/0.1.2/opencore-amr-0.1.2.tar.gz
DIR:=opencore-amr-0.1.2

FETCH_FILE:=$(notdir $(FETCH_URL))

all: build

fetch: $(FETCH_FILE)

$(FETCH_FILE):
	wget -O "$@" "$(FETCH_URL)"

unpack: $(DIR)

$(DIR): $(FETCH_FILE)
	tar zxf $<

$(DIR)/config.status:
	cd "$(DIR)" && ./configure --prefix=/usr

build: $(DIR) $(DIR)/config.status
	$(MAKE) -C "$(DIR)" all
	mkdir -p root
	$(MAKE) -C "$(DIR)" install DESTDIR="$(CURDIR)/root"

install: build
	cp -rv root/usr/lib/libopencore-amr[nw]b.so* $(DESTDIR)/lib

clean:
	rm -rf "$(DIR)" root

.PHONY: all unpack configure build install clean

=== debian/changelog ===
preenv (0.1.6) unstable; urgency=low

  * Add PR1.3 vibrator support.
  * Add ffmpeg, opencore-amr, and libfaac to Preenv.
  * Make SDL_mixer use Palm's music_ffm(peg) module.

 -- Javier S. Pedro <maemo@javispedro.com>  Thu, 10 Mar 2011 22:46:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: games
 Priority: extra
 Maintainer: Javier S. Pedro <maemo@javispedro.com>
-Build-Depends: debhelper (>= 5), zlib1g-dev, libjson-glib-dev, gnupg,
- libvorbisidec-dev, libsdl-gles1.2-dev, libgstreamer-plugins-base0.10-dev,
- libosso-dev, libhildonmime-dev, libsmpeg-dev, libgles1-sgx-img-dev,
- opengles-sgx-img-common-dev, liblocation-dev
+Build-Depends: debhelper (>= 5), zlib1g-dev, libjson-glib-dev, libsdl1.2-dev,
+ libsdl-gles1.2-dev, libgstreamer-plugins-base0.10-dev, libosso-dev,
+ libhildonmime-dev, libgles1-sgx-img-dev, opengles-sgx-img-common-dev,
+ liblocation-dev, mce-dev, gnupg
 Standards-Version: 3.7.2
 
 Package: preenv

=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,9 @@
 	dh_installdirs
 
 	$(MAKE) DESTDIR=$(CURDIR)/debian/preenv/opt/preenv install
+	mkdir -p $(CURDIR)/debian/preenv/media
+	ln -sf /opt/preenv/data $(CURDIR)/debian/preenv/media/cryptofs
+	ln -sf /home/user/MyDocs $(CURDIR)/debian/preenv/media/internal
 
 
 # Build architecture-independent files here.
@@ -64,7 +67,7 @@
 	dh_compress
 	dh_fixperms
 	dh_installdeb
-	dh_shlibdeps
+	dh_shlibdeps -l$(CURDIR)/debian/preenv/opt/preenv/lib
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## preenv 0.1.7

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 SUBDIRS:=libstub libpng faac opencore-amr ffmpeg libsdl-mixer libsdlpre desktopgen
 
-CFLAGS?=-Os -Wall
+CFLAGS?=-Os -g -Wall
 LDFLAGS?=
 IFLAGS?=

=== faac/Makefile ===
FETCH_URL:=http://palm.cdnetworks.net/opensource/2.0.0/faac-1.24.tar.gz
DIR:=faac

FETCH_FILE:=$(notdir $(FETCH_URL))

all: build

fetch: $(FETCH_FILE)

$(FETCH_FILE):
	wget -O "$@" "$(FETCH_URL)"

unpack: $(DIR)

$(DIR): $(FETCH_FILE)
	tar zxf $<

$(DIR)/config.status:
	cd "$(DIR)" && ./bootstrap
	cd "$(DIR)" && ./configure --prefix=/usr

build: $(DIR) $(DIR)/config.status
	$(MAKE) -C "$(DIR)" all
	mkdir -p root
	$(MAKE) -C "$(DIR)" install DESTDIR="$(CURDIR)/root"

install: build
	cp -rv root/usr/lib/libfaac.so* $(DESTDIR)/lib

clean:
	rm -rf "$(DIR)" root

.PHONY: all unpack configure build install clean

=== libpng/Makefile ===
FETCH_URL:=http://prdownloads.sourceforge.net/libpng/libpng-1.2.44.tar.gz
DIR:=libpng-1.2.44

FETCH_FILE:=$(notdir $(FETCH_URL))

all: build

fetch: $(FETCH_FILE)

$(FETCH_FILE):
	wget -O "$@" "$(FETCH_URL)"

unpack: $(DIR)

$(DIR): $(FETCH_FILE)
	tar zxf $<

$(DIR)/config.status:
	cd "$(DIR)" && ./configure --prefix=/usr

build: $(DIR) $(DIR)/config.status
	$(MAKE) -C "$(DIR)" all
	mkdir -p root
	$(MAKE) -C "$(DIR)" install DESTDIR="$(CURDIR)/root"

install: build
	cp -rv root/usr/lib/libpng.so* root/usr/lib/libpng12.so* $(DESTDIR)/lib

clean:
	rm -rf "$(DIR)" root

.PHONY: all unpack configure build install clean

=== libsdl-mixer/Makefile ===
--- 
+++ 
@@ -24,8 +24,7 @@
 
 $(DIR)/config.status:
 	cd "$(DIR)" && ./configure --prefix=/usr -disable-sdltest \
-		--disable-music-ogg --disable-music-mp3 --disable-music-flac \
-		--disable-music-mp3-shared --disable-music-ogg-shared --disable-music-flac-shared \
+		--enable-music-ogg-tremor --disable-music-mp3 --disable-music-flac \
 		CFLAGS="$(CFLAGS) -I$(CURDIR)/../ffmpeg/root/usr/include" \
 		LDFLAGS="$(LDFLAGS) -L$(CURDIR)/../ffmpeg/root/usr/lib -Wl,-rpath-link -Wl,$(CURDIR)/../faac/root/usr/lib -Wl,-rpath-link -Wl,$(CURDIR)/../opencore-amr/root/usr/lib"

=== libsdlpre/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PKGCONFIG_LIBS:=$(shell pkg-config $(PKGCONFIG_PKGS) --libs)
 DL_LIBS:=-ldl
 
-OBJ:=private.o pdl.o sdlgl.o sdl.o joystick.o haptic.o cinema.o x11.o gles1.o
+OBJ:=private.o pdl.o sdlgl.o sdl.o joystick.o haptic.o cinema.o x11.o taskbtn.o gles1.o
 
 all: libsdlpre.so

=== tests/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-APPS:=basic location
+APPS:=basic location paths
 
 SDL_CFLAGS:=$(shell sdl-config --cflags)
 SDL_LIBS:=$(shell sdl-config --libs)

=== debian/changelog ===
preenv (0.1.7) unstable; urgency=low

  * Implement PDL_GetDataFilePath.
  * Implement PDL_Minimize.
  * Tapping and holding on the topleft screen corner (where the task
    switcher button usually is) will now minimize the application.
  * Readd dependency on Tremor (fixes regression with RWops Vorbis).

 -- Javier S. Pedro <maemo@javispedro.com>  Sat,  2 Apr 2011 20:23:09 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 5), zlib1g-dev, libjson-glib-dev, libsdl1.2-dev,
  libsdl-gles1.2-dev, libgstreamer-plugins-base0.10-dev, libosso-dev,
  libhildonmime-dev, libgles1-sgx-img-dev, opengles-sgx-img-common-dev,
- liblocation-dev, mce-dev, gnupg
+ liblocation-dev, libvorbisidec-dev, mce-dev, gnupg
 Standards-Version: 3.7.2
 
 Package: preenv
